Subject: Re: bug#46368: Completion vs. "*" buffer names

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Wed, 10 Feb 2021 19:55:45 +0800

$ emacs -nw -Q --eval '(progn(switch-to-buffer "xbp")(switch-to-buffer "xbq")(switch-to-buffer "m"))'
 b                                     ;; self-insert-command
 TAB                                   ;; minibuffer-complete

gives:

-UUU:----F1  m              All L1     (Fundamental) -------------
In this buffer, type RET to select the completion near point.

Possible completions are:
xbp
xbq
-UUU:%*--F1  *Completions*   All L1     (Completion List) --------
Switch to buffer (default xbq): b

What is bugging me is that in the *completions* buffer, the x is added
to the front, properly. But in the minibuffer it is missing.
Yes I didn't type "x", but still, emacs should put it in the minibuffer
for me. Emacs will eventually, but it would be better sooner than later.